Bug 198288 - Review Request: python-paste-deploy - Load, configure, and compose WSGI applications and servers
Review Request: python-paste-deploy - Load, configure, and compose WSGI appli...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
:
Depends On: 198289
Blocks: FE-ACCEPT 189338 198287
  Show dependency treegraph
 
Reported: 2006-07-10 16:49 EDT by Luke Macken
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-21 12:45:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2006-07-10 16:49:15 EDT
Spec URL: http://people.redhat.com/lmacken/python-pastedeploy.spec
SRPM URL: http://people.redhat.com/lmacken/python-pastedeploy-0.5-1.src.rpm
Description:
This tool provides code to load WSGI applications and servers from
URIs; these URIs can refer to Python Eggs for INI-style configuration
files.  PasteScript provides commands to serve applications based on
this configuration file.
Comment 1 Patrice Dumas 2006-07-20 05:59:45 EDT
The %doc section should better be

%doc docs/*

There is an inconsistent use of rpm macros.

I don't know if the name should be python-paste-script or 
python-pastescript. The guidelines don't cover the case of python
submodules. If it is "This makes a package name format of python-$NAME"
it seems to be python-pastescript, but if one follow "use the name of the
module that you type to import it in a script" it should be
python-paste-script. The second naming convention is also consistent with
perl modules naming. 

Maybe this deserves a message on fedora-extras-list?
Comment 2 Patrice Dumas 2006-07-20 06:00:50 EDT
The %doc section should better be

%doc docs/*

There is an inconsistent use of rpm macros.

I don't know if the name should be python-paste-deploy or 
python-pastedeploy. The guidelines don't cover the case of python
submodules. If it is "This makes a package name format of python-$NAME"
it seems to be python-pastedeploy, but if one follow "use the name of the
module that you type to import it in a script" it should be
python-paste-deploy. The second naming convention is also consistent with
perl modules naming. 

Maybe this deserves a message on fedora-extras-list?
Comment 3 Luke Macken 2006-07-21 14:47:16 EDT
Good call.  I fired a quick mail off to fedora-extras-list about this.  We'll
see what comes up.

https://www.redhat.com/archives/fedora-extras-list/2006-July/msg00676.html
Comment 4 Luke Macken 2006-07-24 11:41:08 EDT
http://people.redhat.com/lmacken/python-paste-deploy-0.5-2.src.rpm
http://people.redhat.com/lmacken/python-paste-deploy.spec

* Mon Jul 24 2006 Luke Macken <lmacken@redhat.com> - 0.5-2
- Rename package to python-paste-deploy
- Fix docs inclusion
- Fix inconsistent use of buildroots
Comment 5 Patrice Dumas 2006-07-26 08:56:52 EDT
I don't see any issue, so I'll wait for the final word
on python subpackage naming issue before approving. I
assign the bug to me since the review is almost done.
Comment 6 Patrice Dumas 2006-08-21 12:15:56 EDT
So, the name is up to you. In the mean time the guidelines about
ghosting .pyo have somehow changed, it seems like they shouldn't
be ghosted now. As it is still a draft, I don't make that a blocker.

APPROVED
Comment 7 Luke Macken 2006-08-21 12:45:42 EDT
* Mon Aug 21 2006 Luke Macken <lmacken@redhat.com> - 0.5-3
- Include .pyo files instead of ghosting them.

Imported into CVS, added to owners.list, FC-5 CVS branch requested, tagged and
built for devel.

Thanks!
Comment 8 Christian Iseli 2007-01-02 18:23:11 EST
Changed summary for tracking purposes.

Note You need to log in before you can comment on or make changes to this bug.